Package org.eclipse.m2m.atl.emftvm.util

# Class LazyCollection.ReverseListIterator

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyListIterator<E>
org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReverseListIterator

All Implemented Interfaces:
  `Iterator<E>`, `ListIterator<E>`

Enclosing class:
  LazyCollection<E>

public class LazyCollection.ReverseListIterator extends LazyCollection.ReadOnlyListIterator<E>
`LazyCollection.ReadOnlyIterator` that returns the values of the underlying collection in reverse order.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`index`
`protected final int`
`lastIndex`

## Constructor Summary

Constructors
Constructor
Description
`ReverseListIterator(int lastIndex)`
Creates a new `LazyCollection<E>.ReverseIterator` for the underlying `List`.
`ReverseListIterator(int lastIndex, int index)`
Creates a new `LazyCollection<E>.ReverseIterator` for the underlying `List`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`boolean`
`hasPrevious()`
`E`
`next()`
`int`
`nextIndex()`
`E`
`previous()`
`int`
`previousIndex()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyListIterator

`add, set`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Methods inherited from interface java.util.ListIterator

`remove`

## Field Details

### lastIndex

protected final int lastIndex

### index

protected int index

## Constructor Details

### ReverseListIterator

public ReverseListIterator(int lastIndex)
Creates a new `LazyCollection<E>.ReverseIterator` for the underlying `List`.

Parameters:
  `lastIndex` - the last index in the underlying list.

### ReverseListIterator

public ReverseListIterator(int lastIndex, int index)
Creates a new `LazyCollection<E>.ReverseIterator` for the underlying `List`.

Parameters:
  `lastIndex` - the last index in the underlying list.
  `index` - the iterator starting index.

## Method Details

### hasNext

public boolean hasNext()

### next

public E next()

### nextIndex

public int nextIndex()

### hasPrevious

public boolean hasPrevious()

### previous

public E previous()

### previousIndex

public int previousIndex()